package alx.p40_io;

import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.time.LocalTime;

//try-with-resources   --- od Java 7
public class ZapiszJakisPlik5 {
	public static void main(String[] args) {
		try (PrintWriter out = new PrintWriter("plik5.txt")) {
			out.println("Ala ma kota");
			out.println("Ola ma psa");
			
            int sekunda = LocalTime.now().getSecond();
            out.println("Sekunda: " + sekunda);
            int x = 60 / (sekunda % 2);

			out.append("pies").append(" kot").append(" chomik").println();

			System.out.println("Gotowe");

		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}

		// nie piszemy już close() - plik zostanie automatycznie zamknity gdy będziemy
		// opuszczać blok try
	}
}
